@if (deviceService.isNativePlatform()) {
  <div class="flex-list-feed-items" *transloco="let t">
    <div class="header">{{ t('feature_waste.nearby-recycling.header') }}</div>
    @if (loadingRecyclingPois) {
      <lib-recycling-card-skeleton
        *ngFor="let _ of [].constructor(3); let i = index"
      ></lib-recycling-card-skeleton>
    }
    <ion-col
      *ngIf="
        (geolocationService.permissionState$ | async) ===
        simplifiedPermissionState.denied
      "
      size="12"
    >
      <lib-notification-card
        [title]="t('feature_waste.nearby-recycling.find_nearby')"
        [titleColor]="'var(--Main-Foreground, #ffffff)'"
        [subTitle]="t('feature_waste.nearby-recycling.permission_required')"
        [subTitleColor]="'var(--Secondary-Foreground)'"
        [backgroundColor]="'var(--Hint-Background, #1E4F5A)'"
        [buttons]="permissionButton"
      ></lib-notification-card>
    </ion-col>

    <ng-container *ngIf="recyclingPois">
      <ng-container *ngFor="let recyclingPoi of recyclingPois">
        <lib-recycling-card [recyclingPoi]="recyclingPoi"></lib-recycling-card>
      </ng-container>
    </ng-container>
    <div class="error-text" *ngIf="recyclingPois && recyclingPois.length === 0">
      {{ t('feature_waste.nearby-recycling.no_results_nearby') }}
    </div>
  </div>
}
